> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wazoo.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create platform token



## OpenAPI

````yaml https://api.wazoo.dev/openapi.json post /v1/auth/api-tokens
openapi: 3.0.0
info:
  title: Wazoo Platform API
  version: 0.1.0
  description: >-
    Management-plane API for Wazoo users, Worlds, platform tokens, usage,
    limits, and beta billing.
servers:
  - url: https://api.wazoo.dev
    description: Wazoo Platform API
security:
  - bearerPlatformToken: []
paths:
  /v1/auth/api-tokens:
    post:
      tags:
        - PlatformTokens
      summary: Create platform token
      operationId: createPlatformToken
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PlatformTokenCreateRequest'
      responses:
        '201':
          description: Created platform token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlatformTokenCreateResponse'
        '403':
          description: Permission denied
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
      security:
        - bearerPlatformToken: []
components:
  schemas:
    PlatformTokenCreateRequest:
      type: object
      properties:
        user:
          type: string
        email:
          type: string
          format: email
        name:
          type: string
        tokenName:
          type: string
        scope:
          type: string
        expiresAt:
          type: string
          format: date-time
    PlatformTokenCreateResponse:
      type: object
      properties:
        uid:
          type: string
        name:
          type: string
        token:
          type: string
      required:
        - uid
        - name
        - token
  securitySchemes:
    bearerPlatformToken:
      type: http
      scheme: bearer
      bearerFormat: wzp
      description: Wazoo platform API token.

````